/// <reference types="react" />
export declare const GreetingRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const GreetingLogo: import("@emotion/styled").StyledComponent<import("../../../core/components/MetabotLogo/MetabotLogo").MetabotLogoProps & import("react").RefAttributes<HTMLImageElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    isCool: boolean;
}, {}, {}>;
export interface GreetingMessageProps {
    showLogo?: boolean;
}
export declare const GreetingMessage: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & GreetingMessageProps, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
